Subject: bug#18249: 24.3; expected a button click, text pasted into button label instead

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 03 Aug 2019 21:02:12 +0200

Andrea Rossetti <[email-masked]> writes:

> (insert-button "[ciao]" 'action (lambda (x) (message "ciao!"))) ; line 2

[...]

> 6b) move the mouse cursor over the letter "i" of the text "line 4:",
>     click mouse-2 and hold it pressed; continue dragging and move the
>     mouse cursor over the [ciao] button, then release mouse-2.
>     Result: you should see that the word "pastethis" has been pasted
>     into the button label, so that it looks similar to
>     [ciapastethiso]; this is unexpected behaviour.
>
>   May I please ask if the result 6b) is reproducible for you too.

(I'm going through old bug reports that unfortunately have not received
any responses yet.)

I tried this in Emacs 27, and I was unable to reproduce the bug.
Holding down mouse-2 and moving the mouse around just moves text around,
and releasing it doesn't do anything special on the button inserted.

Are you still seeing this bug?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no